<?php
require_once("DBManager.class.php");

class Proyecto {

    private $id;
    private $nombre;
    private $fecha_inicio;
    private $fecha_fin;
    private $costo_total;
    private $estado;

    public function Crear($nombre, $fi, $ff, $costo, $estado)
    {
        $resp = false;
        $db = new DBManager();
        $sql = "INSERT INTO proyectos(id,nombre,fecha_inicio,fecha_fin,costo_total,estado)
                VALUES(null,'$nombre','$fi','$ff','$costo','$estado')";
        if ($db->_execute($sql)) {
            $resp = true;
        }
        return $resp;
    }

    public function Actualizar($id, $nombre, $fi, $ff, $costo, $estado)
    {
        $resp = false;
        $db = new DBManager();
        $sql = "UPDATE proyectos 
                SET nombre='$nombre', fecha_inicio='$fi', fecha_fin='$ff',
                    costo_total='$costo', estado='$estado'
                WHERE id=$id";
        if ($db->_execute($sql)) {
            $resp = true;
        }
        return $resp;
    }

    public function Listar($valor)
    {
        $vector = null;
        $db = new DBManager();
        $rs = $db->execute("SELECT * FROM proyectos 
                           WHERE nombre LIKE CONCAT('%','$valor','%')");
        $num_rows = $rs->getNumOfRows();

        if ($num_rows > 0) {
            $row = 0;
            $rs->firstRow();
            while (!$rs->EOF) {
                $vector[$row] = array(
                    "id" => $rs->fields["id"],
                    "nombre" => $rs->fields["nombre"],
                    "fecha_inicio" => $rs->fields["fecha_inicio"],
                    "fecha_fin" => $rs->fields["fecha_fin"],
                    "costo_total" => $rs->fields["costo_total"],
                    "estado" => $rs->fields["estado"]
                );
                $row++;
                $rs->nextRow();
            }
            return $vector;
        }
        return null;
    }

    public function BuscarPorCodigo($id)
    {
        $resp = false;
        $db = new DBManager();
        $rs = $db->execute("SELECT * FROM proyectos WHERE id=$id");

        if ($rs->getNumOfRows() > 0) {
            $resp = true;
            $rs->firstRow();
            while (!$rs->EOF) {
                $this->id = $rs->fields["id"];
                $this->nombre = $rs->fields["nombre"];
                $this->fecha_inicio = $rs->fields["fecha_inicio"];
                $this->fecha_fin = $rs->fields["fecha_fin"];
                $this->costo_total = $rs->fields["costo_total"];
                $this->estado = $rs->fields["estado"];
                $rs->nextRow();
            }
        }
        return $resp;
    }

    public function Eliminar($id)
    {
        $resp = false;
        $db = new DBManager();
        if ($db->_execute("DELETE FROM proyectos WHERE id=$id")) {
            $resp = true;
        }
        return $resp;
    }

    // GETTERS
    public function getIdproyecto(){ return $this->id; }
    public function getNombre(){ return $this->nombre; }
    public function getFechaInicio(){ return $this->fecha_inicio; }
    public function getFechaFin(){ return $this->fecha_fin; }
    public function getCostoTotal(){ return $this->costo_total; }
    public function getEstado(){ return $this->estado; }
}
?>

